Page MenuHomePhabricator

[AVR] Add support for the tinyAVR 0-series and tinyAVR 1-seriesø
ClosedPublic

Authored by justinlatimer on May 25 2021, 9:02 PM.

Details

Summary

[AVR] Add support for the tinyAVR 0-series and tinyAVR 1-series

Diff Detail

Event Timeline

justinlatimer created this revision.May 25 2021, 9:02 PM
justinlatimer requested review of this revision.May 25 2021, 9:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 25 2021, 9:02 PM

Add these devices into the constant list at https://github.com/llvm/llvm-project/blob/main/clang/lib/Basic/Targets/AVR.cpp#L30 so that Clang can define the required mcu defines.

I will accept this patch once that is done. Thanks for the patch @justinlatimer !

Add devices into the clang AVR target constant list.

Herald added a project: Restricted Project. · View Herald TranscriptMay 30 2021, 11:48 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

@dylanmckay is there anything else I need to update on this patch? Thanks!

dylanmckay accepted this revision.Jun 28 2021, 5:38 AM

Nope, thank you!

This revision is now accepted and ready to land.Jun 28 2021, 5:38 AM

@benshi001 would it be possible to get this committed? Thanks!

I though the test clang/test/Misc/target-invalid-cpu-note.c should also be updated.

BTW: What info (especially name and email) would like to see in the commit message ?

benshi001 added inline comments.Sep 6 2021, 1:03 AM
llvm/lib/Target/AVR/AVRDevices.td
449

attiny3214 is missing

justinlatimer added inline comments.Sep 6 2021, 3:05 PM
llvm/lib/Target/AVR/AVRDevices.td
449

I can't find any details on the attiny3214?

benshi001 added inline comments.Sep 6 2021, 7:15 PM
llvm/lib/Target/AVR/AVRDevices.td
449

Let's just ignore that. I see attiny3214 in GCC but not find in microchip's website.

This comment was removed by benshi001.

Please tell me your email address which will be shown in the commit message.

Update target-invalid-cpu-note.c test.

For the commit message, my name is Justin Latimer and my email is justinlatimer@gmail.com. Thanks!

This revision was landed with ongoing or failed builds.Sep 7 2021, 7:37 PM
This revision was automatically updated to reflect the committed changes.